Class Encrypt.Request
java.lang.Object
io.helidon.integrations.common.rest.ApiJsonBuilder<T>
io.helidon.integrations.common.rest.ApiJsonRequest<T>
io.helidon.integrations.oci.connect.OciRequestBase<Encrypt.Request>
io.helidon.integrations.oci.vault.Encrypt.Request
- All Implemented Interfaces:
ApiRequest<Encrypt.Request>
- Enclosing class:
- Encrypt
Request object. Can be configured with additional headers, query parameters etc.
-
Field Summary
Fields -
Method Summary
Modifier and TypeMethodDescriptionThe encryption algorithm to use to encrypt and decrypt data with a customer-managed key.static Encrypt.Requestbuilder()Fluent API builder for configuring a request.Information that can be used to provide an encryption context for the encrypted data.data(Base64Value value) The data to encrypt.The OCID of the key to encrypt with.keyVersionId(String versionOcid) The OCID of the key version used to encrypt the ciphertext.Methods inherited from class io.helidon.integrations.oci.connect.OciRequestBase
add, endpoint, endpoint, hostFormat, hostPrefix, retryTokenMethods inherited from class io.helidon.integrations.common.rest.ApiJsonRequest
addHeader, addQueryParam, headers, queryParams, requestId, requestId, requestMediaType, requestMediaType, responseMediaType, responseMediaTypeMethods inherited from class io.helidon.integrations.common.rest.ApiJsonBuilder
add, add, add, add, add, add, addBase64, addToArray, addToArray, addToArray, addToArray, addToArray, addToArray, addToObject, addToObject, addToObject, addToObject, addToObject, emptyArray, me, postBuild, preBuild, toJsonMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface io.helidon.integrations.common.rest.ApiRequest
toJson
-
Field Details
-
ALGORITHM_AES_256_GCM
Default encryption algorithm used by encryption/decryption is "AES_256_GCM".- See Also:
-
ALGORITHM_RSA_OAEP_SHA_1
"RSA_OAEP_SHA_1" algorithm.- See Also:
-
ALGORITHM_RSA_OAEP_SHA_256
"RSA_OAEP_SHA_256" algorithm.- See Also:
-
-
Method Details
-
builder
Fluent API builder for configuring a request. The request builder is passed as is, without a build method. The equivalent of a build method isApiJsonBuilder.toJson(jakarta.json.JsonBuilderFactory)used by theRestApi.- Returns:
- new request builder
-
data
The data to encrypt.- Parameters:
value- value to encrypt- Returns:
- updated request
- See Also:
-
keyId
The OCID of the key to encrypt with. Required.- Parameters:
keyOcid- OCID of the key- Returns:
- updated request
-
context
Information that can be used to provide an encryption context for the encrypted data. The length of the string representation of the associated data must be fewer than 4096 characters. Optional.- Parameters:
contextData- context- Returns:
- updated request
-
algorithm
The encryption algorithm to use to encrypt and decrypt data with a customer-managed key. AES_256_GCM indicates that the key is a symmetric key that uses the Advanced Encryption Standard (AES) algorithm and that the mode of encryption is the Galois/Counter Mode (GCM). RSA_OAEP_SHA_1 indicates that the key is an asymmetric key that uses the RSA encryption algorithm and uses Optimal Asymmetric Encryption Padding (OAEP). RSA_OAEP_SHA_256 indicates that the key is an asymmetric key that uses the RSA encryption algorithm with a SHA-256 hash and uses OAEP. Optional, defaults toAES_256_GCM.- Parameters:
algorithm- algorithm to use- Returns:
- updated request
-
keyVersionId
The OCID of the key version used to encrypt the ciphertext. Optional.- Parameters:
versionOcid- OCID of the key version- Returns:
- updated request
-